/*
 * StdErrChannel.java
 *
 * Created on 18 May 2009
 *
 * Version 1.1
 *
 * Copyright (c) Kieran Greer
 *
 */

package org.jlog2.channel;


/**
 * This class provides a channel to log messages to the system standard error stream.
 * @author Kieran Greer
 */
public class StdErrChannel extends LogChannel
{
    /**
     * Create a new instance of StdErrChannel.
     * @throws java.lang.Exception any error.
     */
    public StdErrChannel() throws Exception
    {
        createLogChannel();
    }
    

    /**
     * Create the file channel.
     * @throws java.lang.Exception any error.
     */
    protected void createLogChannel() throws Exception
    { /** System.out automatically available */ }

    /**
     * Write the message to the error channel.
     * @param message the message to write.
     * @throws java.lang.Exception any error.
     */
    public void writeMessage(String message) throws Exception
    {
        System.err.println(message);
    }

    /**
     * Write an exception to the error channel.
     * @param message the message to write.
     * @throws java.lang.Exception any error.
     */
    public void writeError(String message) throws Exception
    {
        System.err.println(message);
    }
}
