/*
 * LogConst.java
 *
 * Created on 18 May 2010
 *
 * Version 1.1
 *
 * Copyright (c) Kieran Greer
 */

package org.jlog2.util;

/**
 * This class contains constant values relating to logging.
 * @author Kieran Greer
 */
public class LogConst
{
    /** Configuration properties */
    /** The logger channels property */
    public static final String LOGCHANNELS = "log.channels";

    /** The debug channels property */
    public static final String DEBUGCHANNELS = "debug.channels";

    /** The log file path property */
    public static final String LOGFILEPATH = "log.file.path";

    /** The log file size property */
    public static final String LOGFILESIZE = "log.file.size";

    /** The log file backup number property */
    public static final String LOGFILEBACKUP = "log.file.backup";

    /** The log file level property */
    public static final String LOGLEVEL = "log.level";

    /** The debug file path property */
    public static final String DEBUGFILEPATH = "debug.file.path";

    /** The debug file size property */
    public static final String DEBUGFILESIZE = "debug.file.size";

    /** The debug file backup number property */
    public static final String DEBUGFILEBACKUP = "debug.file.backup";

    /** The debug file level property */
    public static final String DEBUGLEVEL = "debug.level";


    /** The standard.out logger id */
    public static final String STDOUTID = "std.out";

    /** The standard.err logger id */
    public static final String STDERRID = "std.err";

    /** The default file logger id */
    public static final String STDFILEID = "std.file";


    /** The key values used in the properties file to define the following options */
    /** The standard.out logger id */
    public static final String STDOUTKEY = "o";

    /** The standard.err logger id */
    public static final String STDERRKEY = "e";

    /** The file logger id */
    public static final String FILEKEY = "f";
}
